# Uses of Class
ch.qos.logback.core.filter.Filter

Packages that use Filter
Package
Description
ch.qos.logback.access.filter
ch.qos.logback.access.jetty
This is logback access' implementation for Jetty 8.
ch.qos.logback.access.spi
Contains the core classes of logback access.
ch.qos.logback.access.tomcat
This is logback access' implementation for Tomcat.
ch.qos.logback.classic.filter
ch.qos.logback.core
Contains the main classes of logback core.
ch.qos.logback.core.filter
Contains base classes to the event filtering functionality of logback.
ch.qos.logback.core.spi
Contains core functionnalities of logback, such as

## Uses of Filter in ch.qos.logback.access.filter

Subclasses of Filter in ch.qos.logback.access.filter
Modifier and Type
Class
Description
`class`
`CountingFilter`

## Uses of Filter in ch.qos.logback.access.jetty

Methods in ch.qos.logback.access.jetty that return types with arguments of type Filter
Modifier and Type
Method
Description
`List<Filter<IAccessEvent>>`
RequestLogImpl.`getCopyOfAttachedFiltersList()`
Methods in ch.qos.logback.access.jetty with parameters of type Filter
Modifier and Type
Method
Description
`void`
RequestLogImpl.`addFilter(Filter<IAccessEvent> newFilter)`

## Uses of Filter in ch.qos.logback.access.spi

Methods in ch.qos.logback.access.spi that return types with arguments of type Filter
Modifier and Type
Method
Description
`List<Filter<IAccessEvent>>`
AccessContext.`getCopyOfAttachedFiltersList()`
Methods in ch.qos.logback.access.spi with parameters of type Filter
Modifier and Type
Method
Description
`void`
AccessContext.`addFilter(Filter<IAccessEvent> newFilter)`

## Uses of Filter in ch.qos.logback.access.tomcat

Methods in ch.qos.logback.access.tomcat that return types with arguments of type Filter
Modifier and Type
Method
Description
`List<Filter<IAccessEvent>>`
LogbackValve.`getCopyOfAttachedFiltersList()`
Methods in ch.qos.logback.access.tomcat with parameters of type Filter
Modifier and Type
Method
Description
`void`
LogbackValve.`addFilter(Filter<IAccessEvent> newFilter)`

## Uses of Filter in ch.qos.logback.classic.filter

Subclasses of Filter in ch.qos.logback.classic.filter
Modifier and Type
Class
Description
`class`
`LevelFilter`
A class that filters events by the level equality.
`class`
`ThresholdFilter`
Filters events below the threshold level.

## Uses of Filter in ch.qos.logback.core

Methods in ch.qos.logback.core that return types with arguments of type Filter
Modifier and Type
Method
Description
`List<Filter<E>>`
AppenderBase.`getCopyOfAttachedFiltersList()`
`List<Filter<E>>`
UnsynchronizedAppenderBase.`getCopyOfAttachedFiltersList()`
Methods in ch.qos.logback.core with parameters of type Filter
Modifier and Type
Method
Description
`void`
AppenderBase.`addFilter(Filter<E> newFilter)`
`void`
UnsynchronizedAppenderBase.`addFilter(Filter<E> newFilter)`

## Uses of Filter in ch.qos.logback.core.filter

Subclasses of Filter in ch.qos.logback.core.filter
Modifier and Type
Class
Description
`class`
`AbstractMatcherFilter<E>`
`class`
`EvaluatorFilter<E>`
The value of the `AbstractMatcherFilter.onMatch` and `AbstractMatcherFilter.onMismatch` attributes is set to `FilterReply.NEUTRAL`, so that a badly configured evaluator filter does not disturb the functioning of the filter chain.

## Uses of Filter in ch.qos.logback.core.spi

Methods in ch.qos.logback.core.spi that return types with arguments of type Filter
Modifier and Type
Method
Description
`List<Filter<E>>`
FilterAttachable.`getCopyOfAttachedFiltersList()`
Get a copy of all the filters contained within this FilterAttachable object.
`List<Filter<E>>`
FilterAttachableImpl.`getCopyOfAttachedFiltersList()`
Methods in ch.qos.logback.core.spi with parameters of type Filter
Modifier and Type
Method
Description
`void`
FilterAttachable.`addFilter(Filter<E> newFilter)`
Add a filter.
`void`
FilterAttachableImpl.`addFilter(Filter<E> newFilter)`
Add a filter to end of the filter list.